import { defineConfig } from 'vite'
import { svelte } from '@sveltejs/vite-plugin-svelte'
import { VitePWA } from 'vite-plugin-pwa'

export default defineConfig({
  plugins: [
    svelte(),
    VitePWA({
      registerType: 'autoUpdate',
      includeAssets: ["**/*"],
      manifest: {
        theme_color: "#000",
        background_color: "#000"
      }
    })
  ],
  server: {
    host: true
  },
  preview: {
    host: true
  }
})
